    PROGRAM g05mjfe

!      G05MJF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : g05kbf, g05mjf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: n = 20, nout = 6, nr = 6007
!      .. Local Scalars ..
       REAL (KIND=nag_wp)              :: p
       INTEGER                         :: i, ifail, igen, m
!      .. Local Arrays ..
       REAL (KIND=nag_wp)              :: r(nr)
       INTEGER                         :: iseed(4), x(n)
!      .. Executable Statements ..
       WRITE (nout,*) 'G05MJF Example Program Results'
       WRITE (nout,*)
!      Set the distribution parameters P and M
       p = 0.8E0_nag_wp
       m = 6000
!      Initialize the seed to a repeatable sequence
       iseed(1) = 1762543
       iseed(2) = 9324783
       iseed(3) = 42344
       iseed(4) = 742355
!      IGEN identifies the stream.
       igen = 1
       CALL g05kbf(igen,iseed)
!      Choose MODE = 2
       ifail = 1
       CALL g05mjf(2,m,p,n,x,igen,iseed,r,nr,ifail)

       IF (ifail==0) THEN

          WRITE (nout,99999) (x(i),i=1,n)

       ELSE
          WRITE (nout,99998) ifail
       END IF

99999  FORMAT (1X,I12)
99998  FORMAT (1X,' ** G05MJF returned with IFAIL = ',I5)
    END PROGRAM g05mjfe
